Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 783708 - dev-libs/tntnet-3.0 stabilisation and cleanup old
Summary: dev-libs/tntnet-3.0 stabilisation and cleanup old
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Stabilization (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Joerg Bornkessel
URL:
Whiteboard:
Keywords: CC-ARCHES, STABLEREQ
Depends on: 775479
Blocks: EAPI5Removal
  Show dependency tree
 
Reported: 2021-04-18 08:59 UTC by Andreas Sturmlechner
Modified: 2021-05-10 16:36 UTC (History)
1 user (show)

See Also:
Package list:
dev-libs/tntnet-3.0 dev-libs/cxxtools-3.0 media-plugins/vdr-live-3.0.6
Runtime testing required: ---
nattka: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Sturmlechner gentoo-dev 2021-04-18 08:59:10 UTC
Why not?
Comment 1 NATTkA bot gentoo-dev 2021-04-18 09:04:24 UTC Comment hidden (obsolete)
Comment 2 NATTkA bot gentoo-dev 2021-04-18 09:16:25 UTC Comment hidden (obsolete)
Comment 3 Joerg Bornkessel gentoo-dev 2021-04-23 18:10:48 UTC
also we need then for eapi-5 removal/fixing then a 
stablerequest for 

media-plugins/vdr-live-3.*


or the

removal of stable dev-libs/cxxtools-2.* will breake the stable

media-plugins/vdr-live-0.3.*

the old versions
media-plugins/vdr-live-0.3.0_p20130504-r1
media-plugins/vdr-live-2.3.1
should then removed from the tree too

from my side,iam added 
media-plugins/vdr-live-3.0.6
~4 weeks ago to the tree

it compiles here on gcc, llvm,clang without any problems
and works in my VDR setup without any problems...
Comment 4 Joerg Bornkessel gentoo-dev 2021-04-23 18:11:46 UTC
expand stable request list with

media-plugins/vdr-live-3.0.6
Comment 5 NATTkA bot gentoo-dev 2021-04-23 18:20:30 UTC Comment hidden (obsolete)
Comment 6 Agostino Sarubbo gentoo-dev 2021-05-01 18:20:18 UTC
amd64 stable
Comment 7 Agostino Sarubbo gentoo-dev 2021-05-10 06:59:08 UTC
x86 stable. Closing.
Comment 8 Larry the Git Cow gentoo-dev 2021-05-10 16:36:40 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=55ff201201a26661501c515fda5316fde452e7b7

commit 55ff201201a26661501c515fda5316fde452e7b7
Author:     Joerg Bornkessel <hd_brummy@gentoo.org>
AuthorDate: 2021-05-10 16:32:57 +0000
Commit:     Joerg Bornkessel <hd_brummy@gentoo.org>
CommitDate: 2021-05-10 16:36:27 +0000

    dev-libs/tntnet: cleanup old
    
    this commit will also cleanup the last
    eapi 5 depend ebuild
    
    Closes: https://bugs.gentoo.org/783708
    Package-Manager: Portage-3.0.18, Repoman-3.0.2
    Signed-off-by: Joerg Bornkessel <hd_brummy@gentoo.org>

 dev-libs/tntnet/Manifest                           |  1 -
 .../tntnet/files/tntnet-2.0-zlib-minizip.patch     | 65 ---------------
 dev-libs/tntnet/files/tntnet.initd                 | 29 -------
 dev-libs/tntnet/tntnet-2.2.1-r3.ebuild             | 92 ----------------------
 dev-libs/tntnet/tntnet-2.2.1.ebuild                | 87 --------------------
 5 files changed, 274 deletions(-)